﻿html, body {
    margin: 0px;
    width: 100%;
    font-size: 14px;
}
.custom-form-control {
    border: 1px solid #f3f3f3;
    padding: 5px;
    background-color: #fff;
    border-radius: 5px;
    min-height:40.25px;
}
/* 弹出遮盖层 */
.PopUpLoading {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: 100000;
    display: none;
}

.PopUpLoadingMask {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0px;
    top: 0px;
    background-color: Black;
    filter: alpha(opacity=50);
    -moz-opacity: 0.5;
    opacity: 0.5;
    z-index: 100001;
}

.PopUpLoadingText {
    width: 610px;
    position: absolute;
    background-color: White;
    left: 25%;
    top: 25%;
    z-index: 100002;
    border-radius: 3px;
}

.dialog-footer {
    background-color: #f5f5f5;
    padding: 14px 15px 15px;
    border-top: 1px solid #ddd;
    -webkit-border-radius: 0 0 6px 6px;
    -moz-border-radius: 0 0 6px 6px;
    border-radius: 0 0 6px 6px;
    -webkit-box-shadow: inset 0 1px 0 #ffffff;
    -moz-box-shadow: inset 0 1px 0 #ffffff;
    box-shadow: inset 0 1px 0 #ffffff;
    zoom: 1;
    margin-bottom: 0;
    margin-top: 10px;
}

@media (max-width: 575.98px) {
    .table-responsive-sm {
        display: block;
        width: 100%;
        overflow: auto; /*overflow-x: auto;*/
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-sm > .table-bordered {
            border: 0;
        }
}

@media (max-width: 767.98px) {
    .table-responsive-md {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-md > .table-bordered {
            border: 0;
        }
}

@media (max-width: 991.98px) {
    .table-responsive-lg {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-lg > .table-bordered {
            border: 0;
        }
}

@media (max-width: 1199.98px) {
    .table-responsive-xl {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-xl > .table-bordered {
            border: 0;
        }
}
i { color:red; margin:0 5px 0 5px; }
.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

    .table-responsive > .table-bordered {
        border: 0;
    }

.table {
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
    border:solid 1px #c8c8c8;
}
    .table tr:nth-child(even) {
        background-color: #f0f0f0;
    }

    .table tr:nth-child(odd) {
        background-color: #ffffff;
    }
    .table tr:hover {
        background-color: #e0e0e0;
        cursor: pointer;
    }
    .table th,
    .table td {
        padding: 1.25rem 0.9375rem;
        vertical-align: top;
        border-top: 1px solid #f3f3f3;
    }

    .table thead th {
        vertical-align: bottom;
        border-bottom: 2px solid #f3f3f3;
    }

    .table tbody + tbody {
        border-top: 2px solid #f3f3f3;
    }

.table-sm th,
.table-sm td {
    padding: 0.3rem;
}

.table-bordered {
    border: 1px solid #f3f3f3;
}

    .table-bordered th,
    .table-bordered td {
        border: 1px solid #f3f3f3;
    }

    .table-bordered thead th,
    .table-bordered thead td {
        border-bottom-width: 2px;
    }

.table-borderless th,
.table-borderless td,
.table-borderless thead th,
.table-borderless tbody + tbody {
    border: 0;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: #f3f3f3;
}

.table-hover tbody tr:hover {
    color: #212529;
    background-color: #eaeaf1;
}

.table-primary,
.table-primary > th,
.table-primary > td {
    background-color: #cddcff;
}

    .table-primary th,
    .table-primary td,
    .table-primary thead th,
    .table-primary tbody + tbody {
        border-color: #a2bfff;
    }

.table-hover .table-primary:hover {
    background-color: #b4caff;
}

    .table-hover .table-primary:hover > td,
    .table-hover .table-primary:hover > th {
        background-color: #b4caff;
    }

.table-secondary,
.table-secondary > th,
.table-secondary > td {
    background-color: #d5d5d5;
}

    .table-secondary th,
    .table-secondary td,
    .table-secondary thead th,
    .table-secondary tbody + tbody {
        border-color: #b0b0b0;
    }

.table-hover .table-secondary:hover {
    background-color: #c8c8c8;
}

    .table-hover .table-secondary:hover > td,
    .table-hover .table-secondary:hover > th {
        background-color: #c8c8c8;
    }

.table-success,
.table-success > th,
.table-success > td {
    background-color: #d7edbe;
}

    .table-success th,
    .table-success td,
    .table-success thead th,
    .table-success tbody + tbody {
        border-color: #b5de86;
    }

.table-hover .table-success:hover {
    background-color: #cbe7aa;
}

    .table-hover .table-success:hover > td,
    .table-hover .table-success:hover > th {
        background-color: #cbe7aa;
    }

.table-info,
.table-info > th,
.table-info > td {
    background-color: #d9d1f6;
}

    .table-info th,
    .table-info td,
    .table-info thead th,
    .table-info tbody + tbody {
        border-color: #b9a9ee;
    }

.table-hover .table-info:hover {
    background-color: #c7bcf2;
}

    .table-hover .table-info:hover > td,
    .table-hover .table-info:hover > th {
        background-color: #c7bcf2;
    }

.table-warning,
.table-warning > th,
.table-warning > td {
    background-color: #ffeeb8;
}

    .table-warning th,
    .table-warning td,
    .table-warning thead th,
    .table-warning tbody + tbody {
        border-color: #ffdf7a;
    }

.table-hover .table-warning:hover {
    background-color: #ffe89f;
}

    .table-hover .table-warning:hover > td,
    .table-hover .table-warning:hover > th {
        background-color: #ffe89f;
    }

.table-danger,
.table-danger > th,
.table-danger > td {
    background-color: #ffcbcb;
}

    .table-danger th,
    .table-danger td,
    .table-danger thead th,
    .table-danger tbody + tbody {
        border-color: #ff9f9f;
    }

.table-hover .table-danger:hover {
    background-color: #ffb2b2;
}

    .table-hover .table-danger:hover > td,
    .table-hover .table-danger:hover > th {
        background-color: #ffb2b2;
    }

.table-light,
.table-light > th,
.table-light > td {
    background-color: #fdfdfe;
}

    .table-light th,
    .table-light td,
    .table-light thead th,
    .table-light tbody + tbody {
        border-color: #fbfcfc;
    }

.table-hover .table-light:hover {
    background-color: #ececf6;
}

    .table-hover .table-light:hover > td,
    .table-hover .table-light:hover > th {
        background-color: #ececf6;
    }

.table-dark,
.table-dark > th,
.table-dark > td {
    background-color: #c3c5c8;
}

    .table-dark th,
    .table-dark td,
    .table-dark thead th,
    .table-dark tbody + tbody {
        border-color: #8f9399;
    }

.table-hover .table-dark:hover {
    background-color: #b6b8bc;
}

    .table-hover .table-dark:hover > td,
    .table-hover .table-dark:hover > th {
        background-color: #b6b8bc;
    }

.table-active,
.table-active > th,
.table-active > td {
    background-color: rgba(0, 0, 0, 0.075);
}

.table-hover .table-active:hover {
    background-color: rgba(0, 0, 0, 0.075);
}

    .table-hover .table-active:hover > td,
    .table-hover .table-active:hover > th {
        background-color: rgba(0, 0, 0, 0.075);
    }

.table .thead-dark th {
    color: #fff;
    background-color: #343a40;
    border-color: #454d55;
}

.table .thead-light th {
    color: #495057;
    background-color: #e9ecef;
    border-color: #f3f3f3;
}

.table-dark {
    color: #fff;
    background-color: #343a40;
}

    .table-dark th,
    .table-dark td,
    .table-dark thead th {
        border-color: #454d55;
    }

    .table-dark.table-bordered {
        border: 0;
    }

    .table-dark.table-striped tbody tr:nth-of-type(odd) {
        background-color: rgba(255, 255, 255, 0.05);
    }

    .table-dark.table-hover tbody tr:hover {
        color: #fff;
        background-color: rgba(255, 255, 255, 0.075);
    }

@media (max-width: 575.98px) {
    .table-responsive-sm {
        display: block;
        width: 100%;
        overflow: auto; /*overflow-x: auto;*/
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-sm > .table-bordered {
            border: 0;
        }
}

@media (max-width: 767.98px) {
    .table-responsive-md {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-md > .table-bordered {
            border: 0;
        }
}

@media (max-width: 991.98px) {
    .table-responsive-lg {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-lg > .table-bordered {
            border: 0;
        }
}

@media (max-width: 1199.98px) {
    .table-responsive-xl {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

        .table-responsive-xl > .table-bordered {
            border: 0;
        }
}

.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

    .table-responsive > .table-bordered {
        border: 0;
    }

.dataTables_wrapper .dataTable {
    border-collapse: collapse !important;
}

    .dataTables_wrapper .dataTable .btn {
        padding: 0.1rem 1rem;
        vertical-align: top;
    }

    .dataTables_wrapper .dataTable thead th {
        border-bottom-width: 0;
        border: 1px solid rgba(151, 151, 151, 0.18);
        padding: 1.7rem 0.9375rem;
        white-space: nowrap;
    }

    .dataTables_wrapper .dataTable thead .sorting:before, .dataTables_wrapper .dataTable thead .sorting:after,
    .dataTables_wrapper .dataTable thead .sorting_asc:before,
    .dataTables_wrapper .dataTable thead .sorting_asc:after,
    .dataTables_wrapper .dataTable thead .sorting_desc:before,
    .dataTables_wrapper .dataTable thead .sorting_desc:after,
    .dataTables_wrapper .dataTable thead .sorting_asc_disabled:before,
    .dataTables_wrapper .dataTable thead .sorting_asc_disabled:after,
    .dataTables_wrapper .dataTable thead .sorting_desc_disabled:before,
    .dataTables_wrapper .dataTable thead .sorting_desc_disabled:after {
        line-height: 2.5;
        font-family: Material Design Icons;
        font-size: .65rem;
    }

    .dataTables_wrapper .dataTable thead .sorting:before,
    .dataTables_wrapper .dataTable thead .sorting_asc:before,
    .dataTables_wrapper .dataTable thead .sorting_desc:before,
    .dataTables_wrapper .dataTable thead .sorting_asc_disabled:before,
    .dataTables_wrapper .dataTable thead .sorting_desc_disabled:before {
        content: "\F05D";
        right: 2.4em;
        bottom: 1.5rem;
    }

    .dataTables_wrapper .dataTable thead .sorting:after,
    .dataTables_wrapper .dataTable thead .sorting_asc:after,
    .dataTables_wrapper .dataTable thead .sorting_desc:after,
    .dataTables_wrapper .dataTable thead .sorting_asc_disabled:after,
    .dataTables_wrapper .dataTable thead .sorting_desc_disabled:after {
        content: "\F045";
        right: 2em;
        bottom: 1.1rem;
    }

    .dataTables_wrapper .dataTable tbody tr td {
        border: 1px solid rgba(151, 151, 151, 0.18);
        color: #08113b;
        white-space: nowrap;
        font-weight: 300;
        padding: 1.1rem 0.9375rem;
    }

    .dataTables_wrapper .dataTable tbody tr:nth-child(odd) {
        background: rgba(238, 238, 238, 0.57);
    }

.dataTables_wrapper .dataTables_paginate {
    margin-top: 20px;
}

.dataTables_wrapper .dataTables_info {
    font-size: 0.875rem;
}

@media (max-width: 576px) {
    .dataTables_wrapper .dataTables_info {
        margin-bottom: 1rem;
    }
}

.div_house_type_container {
    vertical-align: middle;
    display: inline-block;
    float: left;
    height: 350px;
    width: 225px;
    margin: 5px;
    border: 1px solid #ccc;
}

    .div_house_type_container div {
        margin: 5px;
        width: 100%;
    }

    .div_house_type_container img {
        margin: 5px;
        width: 180px;
        height: 200px;
    }

/* 明细页面的Table表格样式 */
.table_detail {
    border-collapse: collapse;
    border: 1px solid #c2bbbb;
}

    .table_detail i {
        color: red;
    }

    .table_detail th {
        background: linear-gradient(to bottom,#EFF5FF 0,#E0ECFF 100%);
        min-height: 30px;
        height: 30px;
        border: 1px solid #c2bbbb;
    }

    .table_detail td {
        min-height: 30px;
        height: 30px;
        border: 1px solid #c2bbbb;
    }

        .table_detail td .textbox {
            min-height: 30px;
            height: 30px;
            border: 0px solid #c2bbbb;
            width: 97%;
        }

    .table_detail tr:nth-child(odd) td {
        background: #fafafa;
    }

    .table_detail tr:hover td {
        background: #b3dfff;
    }

.auto_community_name {display:inline-block; width:100%;line-height:30px;color:dodgerblue; }
.auto_community_addr {display:inline-block; width:100%;line-height:30px;}